package de.fraunhofer.iem.dataprovider.repository.repository

import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface RepositoryRepository : JpaRepository<RepositoryEntity, UUID> {
    fun findByProjectId(projectId: Long): RepositoryEntity?


    fun findByVisualizationConsentTrue(): List<RepositoryEntity>
}
